Bug 75462

Summary: Split GraphicsContext3DOpenGL into several files
Product: WebKit Reporter: ChangSeok Oh <kevin.cs.oh>
Component: WebGLAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: kbr, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 75466    
Bug Blocks: 59064, 66903    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch none

Description ChangSeok Oh 2012-01-02 22:37:15 PST
This bug is for spliting GraphicsContext3DOpenGL into following files as Chris Marrin mentioned.
+GraphicsContext3DOpenGLCommon - code common to any OpenGL implementation
+GraphicsContext3DOpenGL - OpenGL (not OpenGL ES) specific code)
+GraphicsContext3DGLES - OpenGL ES specific code
Comment 1 ChangSeok Oh 2012-01-10 08:41:25 PST
Created attachment 121852 [details]
Patch
Comment 2 ChangSeok Oh 2012-01-10 09:59:47 PST
Created attachment 121862 [details]
Patch
Comment 3 ChangSeok Oh 2012-01-10 10:37:17 PST
Created attachment 121866 [details]
Patch
Comment 4 Kenneth Rohde Christiansen 2012-01-11 01:44:49 PST
Comment on attachment 121866 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=121866&action=review

> Source/WebCore/ChangeLog:13
> +
> +        Split GraphicsContext3DOpenGL.cpp into
> +        GraphicsContext3DOpenGLCommon.cpp, GraphicsContext3DOpenGL.cpp & GraphicsContext3DOpenGLES.cpp.
> +        Most of common APIs between gl and gles are in GraphicsContext3DOpenGLCommon.cpp.
> +        The other gl and gles specific APIs are placed apart in GraphicsContext3DOpenGL.cpp & GraphicsContext3DOpenGLES.cpp
> +
> +        No new tests required.

It would be good if you could write why this is an advantage. Also can you try to keep the lines shorter (around 80-100 chars)
Comment 5 ChangSeok Oh 2012-01-12 08:37:16 PST
Created attachment 122251 [details]
Patch
Comment 6 ChangSeok Oh 2012-01-12 08:38:45 PST
Comment on attachment 121866 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=121866&action=review

Thank you for review. :)

>> Source/WebCore/ChangeLog:13
>> +        No new tests required.
> 
> It would be good if you could write why this is an advantage. Also can you try to keep the lines shorter (around 80-100 chars)

Done.
Comment 7 Kenneth Russell 2012-01-12 19:27:25 PST
Comment on attachment 122251 [details]
Patch

Nice refactoring. r=me
Comment 8 WebKit Review Bot 2012-01-12 20:51:37 PST
Comment on attachment 122251 [details]
Patch

Clearing flags on attachment: 122251

Committed r104896: <http://trac.webkit.org/changeset/104896>
Comment 9 WebKit Review Bot 2012-01-12 20:51:42 PST
All reviewed patches have been landed.  Closing bug.